#include <Key.h>
#include <Keypad.h>

#include <Key.h>
#include <Keypad.h>

#include "SerialMP3Player.h"

#define TX 11
#define RX 10

SerialMP3Player mp3(RX,TX);

const byte ROWS = 4; //four rows
const byte COLS = 4; //four columns
char keys[ROWS][COLS] = {
  {'1','2','3','4',},
  {'5','6','7','8',},
  {'9','0','#','*',},
  {'+','-','%','/'}
};
byte rowPins[ROWS] = {5, 4, 3, 2}; //connect to the row pinouts of the keypad
byte colPins[COLS] = {8, 7, 6, 9}; //connect to the column pinouts of the keypad

Keypad keypad = Keypad( makeKeymap(keys), rowPins, colPins, ROWS, COLS );

void setup() {
  Serial.begin(9600);     // start serial interface
  mp3.begin(9600);        // start mp3-communication
  delay(500);             // wait for init

  mp3.sendCommand(CMD_SEL_DEV, 0, 2);   //select sd-card
  delay(500);             // wait for init
}

// the loop function runs over and over again forever
void loop() {
  char key = keypad.getKey();

  if (key != NO_KEY){
    Serial.println(key);
  }

  if (key == 0x31){
    mp3.play(0x0401);
    delay(1000);
  }
  if (key == 0x32){
    mp3.play(0x0402);
    delay(1000);
  }

  if (key == 0x33){ 
    mp3.play(0x0403);     // Play "hello.mp3". You must hear "Hello World"
    delay(1000);    // wait 3 seconds
  }
  if (key == 0x34){
    mp3.play(0x0404);
    delay(1000);
  }
  if (key == 0x35){
    mp3.play(0x0405);
    delay(1000);    
  }
}
